Cek Ongkir V1
Hitung ongkos kirim antar desa di Indonesia.
Base URL
https://use.api.co.id
Kirim kode desa asal & tujuan dan berat paket dengan header x-api-co-id. Response berisi pilihan kurir yang tersedia beserta harga dan estimasi waktu pengiriman.
Tersedia versi baru: Cek Ongkir V2 memakai kode kecamatan (district code) dan mengembalikan
quote_id. Untuk integrasi baru, gunakan V2.
Fitur
- Hitung ongkos kirim antar desa.
- Banyak pilihan kurir (JNE, SiCepat, SAP, dll.).
- Caching otomatis untuk response yang lebih cepat.
- Harga berbasis berat.
- Estimasi waktu pengiriman.
- Kurir dengan harga nol otomatis disaring.
Kode desa
Kode desa (10 digit) bisa dicari lewat Api Regional Wilayah Indonesia. Gunakan endpoint /regional/indonesia/villages untuk mencari desa dan mendapatkan kodenya.
Ketentuan
- Berat harus lebih dari 0.
Get Shipping Cost
Calculate shipping cost from origin village to destination village.
### Query Parameters
- origin_village_code (required): Origin village code (10 digits)
- destination_village_code (required): Destination village code (10 digits)
- weight (required): Package weight in kilograms (must be greater than 0)
### Finding Village Codes
Village codes can be found using the Api Regional Wilayah Indonesia. Use the /regional/indonesia/villages endpoint to search for villages and get their 10-digit codes.
### Response Returns available courier options with: - Courier code and name - Shipping price - Weight - Delivery time estimation - Only couriers with price > 0 are returned
### Notes - Zero-price couriers are automatically filtered out
| Nama | Tipe | Keterangan |
|---|---|---|
origin_village_codeWajib | string | Origin village code - Pademangan, Jakarta (10 digits). Find village codes at https://api.co.id/indonesia-regional-api/ Contoh: 3172051003 |
destination_village_codeWajib | string | Destination village code - Bojongloa, Rancaecek, Bandung (10 digits). Find village codes at https://api.co.id/indonesia-regional-api/ Contoh: 3204282004 |
weightWajib | number | Package weight in kilograms (must be > 0) Contoh: 1 |
| Nama | Tipe | Keterangan |
|---|---|---|
statusOpsional | string | Contoh: success |
timestampOpsional | string | Contoh: 2026-02-13 15:49:20 |
resultOpsional | object[] | |
result[].courier_codeOpsional | string | Contoh: JNE |
result[].courier_nameOpsional | string | Contoh: JNE Express |
result[].priceOpsional | number | Contoh: 12000 |
result[].weightOpsional | number | Contoh: 1 |
result[].estimationOpsional | string | Contoh: 1 - 2 days |
curl -X GET "https://use.api.co.id/expedition/shipping-cost?origin_village_code=3172051003&destination_village_code=3204282004&weight=1" \ -H "x-api-co-id: $API_CO_ID_KEY"{ "status": "success", "timestamp": "2026-02-13 15:49:20", "result": [ { "courier_code": "JNE", "courier_name": "JNE Express", "price": 12000, "weight": 1, "estimation": "1 - 2 days" }, { "courier_code": "JNECargo", "courier_name": "JNE Cargo", "price": 45000, "weight": 1, "estimation": "1 - 2 days" }, { "courier_code": "SiCepat", "courier_name": "SiCepat Express", "price": 11000, "weight": 1, "estimation": "2 - 3 Days" }, { "courier_code": "SiCepatCargo", "courier_name": "SiCepat Cargo", "price": 40000, "weight": 1, "estimation": "2 - 3 Days" }, { "courier_code": "SAP", "courier_name": "SAP Express", "price": 10500, "weight": 1, "estimation": "2 - 4 days" }, { "courier_code": "SAPLite", "courier_name": "SAP Lite", "price": 11500, "weight": 1, "estimation": "2 - 4 days" }, { "courier_code": "SapCargo", "courier_name": "SAP Cargo", "price": 35000, "weight": 1, "estimation": "2 - 4 days" }, { "courier_code": "iDexpress", "courier_name": "iDexpress", "price": 9000, "weight": 1, "estimation": null }, { "courier_code": "iDlite", "courier_name": "iDlite", "price": 9000, "weight": 1, "estimation": null }, { "courier_code": "JT", "courier_name": "J&T Express", "price": 11000, "weight": 1, "estimation": null }, { "courier_code": "lion", "courier_name": "Lion Parcel", "price": 13020, "weight": 1, "estimation": "2 - 3 Hari" }, { "courier_code": "iDexpressCargo", "courier_name": "iDexpress Cargo", "price": 35000, "weight": 1, "estimation": null }, { "courier_code": "anteraja", "courier_name": "AnterAja", "price": 14200, "weight": 1, "estimation": "1-2 Day" }, { "courier_code": "paxel", "courier_name": "Paxel", "price": 0, "weight": 1, "estimation": null }, { "courier_code": "Ninja", "courier_name": "Ninja Express", "price": 11000, "weight": 1, "estimation": null } ]}